<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/html">


<head>
    <meta charset="UTF-8"/>
    <title>Features</title>
<link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
<link rel="apple-touch-icon" sizes="57x57" href="apple-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="apple-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="apple-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="apple-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="apple-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="apple-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="apple-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="apple-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="apple-icon-180x180.png">
<link rel="icon" type="image/png" sizes="192x192"  href="android-icon-192x192.png">
<link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
<meta name="theme-color" content="#ffffff">
<!--[if IE 7]>
<!--<link rel="stylesheet" href="font-awesome/css/font-awesome-ie7.min.css">-->

<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/all.min.css">
<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/v4-shims.min.css">

<!-- JQuery -->
<script type="text/javascript" src="scripts/jquery-1.11.1.min.js"></script><link rel="stylesheet" type="text/css" href="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.css">
<link rel="stylesheet" type="text/css" href="chartist/dist/chartist.min.css">
<script src="chartist/dist/chartist.min.js"></script>
<script src="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.js"></script>
<!-- Required Stylesheets -->
<link href="bootstrap-treeview/dist/bootstrap-treeview.min.css" rel="stylesheet">

<!-- Required Javascript -->
<script src="bootstrap-treeview/dist/bootstrap-treeview.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>
<link rel="stylesheet" href="css/core.css"/>
<link rel="stylesheet" href="css/link.css"/>
<link type="text/css" media="screen" href="css/screen.css" rel="Stylesheet"/><!-- JQuery-UI -->
<link type="text/css" href="jqueryui/1.11.2-start/jquery-ui.min.css" rel="Stylesheet" />
<script type="text/javascript" src="jqueryui/1.11.2-start/jquery-ui.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>



    <script>

        $(document).ready(function () {

            var scenarioTable = $('.scenario-result-table').DataTable({

                "order": [],
                "language": {
                    searchPlaceholder: "Filter",
                    search: ""
                }
            });

            $('.example-table table').DataTable({
                searching: false,
                ordering: false,
                paging: false,
                info: false
            });

            $('.example-table-in-scenario table').DataTable({
                searching: false,
                ordering: false,
                paging: false,
                info: false
            });

            $('#evidence-table').DataTable(
                    {
                        searching: false,
                        ordering: false,
                        paging: false,
                        info: false
                    }
            );


            $(".scenario-docs .card-body table").wrap("<div class='table-responsive'></div>");

            $("#requirements-tabs").tabs();
            $("#test-tabs").tabs();

            var requirementsTree = [{"text":"User Attribute API","type":"feature","href":"769b61a942a70440de1c0c12b127689140a67a379f3c54faaed82def267ef777.html","nodes":[],"selectable":false,"tags":["","\u003cspan class\u003d\u0027feature-count\u0027\u003e7 scenarios\u003c/span\u003e"]}];

            $('#tree').treeview({
                data: requirementsTree,
                enableLinks: true,
                showTags: true,
                expandIcon: "glyphicon glyphicon-folder-close",
                collapseIcon: "glyphicon glyphicon-folder-open",
                emptyIcon: "glyphicon glyphicon-book"
            });

        });
    </script>

    <script>
        $(document).ready(function () {
            $(".scenario-docs > div > p").html(function () {
                var text = $(this).text().trim().split(" ");
                var first = text.shift();
                return (text.length > 0 ? "<strong>" + first + "</strong> " : first) + text.join(" ");
            });
        });
    </script>
</head>

<body class="results-page">
<div id="topheader">
    <div id="topbanner">
        <div id="logo"><a href="index.html"><img src="images/serenity-logo.png" border="0"/></a></div>
        <div id="projectname-banner" style="float:right">
            <span class="projectname">
                <span class="projecttitle">earthnew.media BDD Report</span>
                <span class="projectsubtitle"></span>
            </span>
        </div>
    </div>
</div>


<div class="middlecontent">
    <div id="contenttop">
        <div class="middlebg">
            <span class="breadcrumbs">
            <a href='index.html'>Home</a> > <a href="capabilities.html">Requirements</a>

                > <a href="5b0b500db2dfd98ccb3584eed6275bc7ba4d506665983d1b8fc2e8acb36c8678.html">Backend API</a>


                > <span class="truncate-40">User Attribute API</span>

            </span>
        </div>
        <div class="rightbg"></div>
    </div>
    <div class="clr"></div>

    <!--/* starts second table*/-->

<div>
    <ul class="nav nav-tabs" role="tablist">
        <li >
            <a href="index.html"><i class="fa fa-check-square-o"></i> Overall Test Results</a>
        </li>
        <li >
            <a href="capabilities.html"><i class="fa fa-book"></i> Requirements</a>
        </li>
        <li >
            <a href="7ea0a5e2d679b9deeda9910ae4a9bcd3a281e0d908303a9e16e486103e98880c.html"><i class="fa fa-comments-o"></i> Capabilities</a>
        </li>
        <li class="active">
            <a href="#"><i class="fa fa-comments-o"></i> Features</a>
        </li>
    </ul>
    <span class="date-and-time"><a href="build-info.html"><i class="fa fa-info-circle"></i></a> Report generated 07-04-2020 08:26</span>
    <br style="clear:left"/>
</div>

    <div class="clr"></div>

    <div id="beforetable"></div>
    <div id="results-dashboard">
        <div class="table">
                <div class=row">
                    <div class="col-sm-12">
                        <div>
                            <div clas="table">
                                <div class="row">
                                    <div class="col-sm-8">
                                    <span>
                                            <h2><i class="fa fa-book"></i> Feature:  User Attribute API</h2>
                                        </span>
                                </div>
                                    <div class="col-sm-4">
                                        <span class="feature-tags">
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="2e8f1269fe45189870d5526ad4ad731be44b38828d72bce8e524d95df0079f07.html">User
                                                        (tag)</a>
                                                    </span>
                                                </p>
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="24963d0aa1d8e4b6b1c973d7c14c09b63061cebace49593ec73b2de76d57f6a2.html">Attributes
                                                        (tag)</a>
                                                    </span>
                                                </p>
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="73b19892d3a17aec91c0c31498590d5a95e9646c973896c93268414041a4e4bd.html">P1-Co1-1
                                                        (phase)</a>
                                                    </span>
                                                </p>
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="f3b02fa746c440933c4a18e62f31cd1b1efe1885ce8dc71108decef3f2887468.html">P1-Co1-2
                                                        (phase)</a>
                                                    </span>
                                                </p>
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="03c38abc150ec1d5070f58913415ff083b86c70994705a423d87e59bdc0f9a7e.html">Api
                                                        (tag)</a>
                                                    </span>
                                                </p>
                                        </span>
                                    </div>
                                </div>
                                </div>
                            </div>
                            <div class="requirementNarrativeTitle">
                                
                            </div>

                        </div>
                    </div>


            <div class="row">
                <div class="col-sm-12">

                    <!-- Requirements result tabs -->
                    <ul class="nav nav-tabs">
                        <li class="active">
                            <a data-toggle="tab" href="#specs"><i class="fas fa-comments"></i> Specifications</a>
                        </li>
                        <li>
                            <a data-toggle="tab" href="#results"><i class="fas fa-tachometer-alt"></i> Test Results</a>
                        </li>
                    </ul>

                    <!-- Specifications and Results tabs -->
                    <div class="card border">
                        <div class="tab-content" id="pills-tabContent">
                            <div id="specs" class="tab-pane fade in active">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-sm-12">


                                            <h3>Scenarios</h3>

                                            <div id="toc">
                                                <table class="table" id="toc-table">
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855" title="View scenario details" ></a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            
                                                                            

                                                                        
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#a2f826d2ff4e4b576f3f3a17ced5d4bcaff69437a7d1bb087d014838871cfbc3" title="View scenario details" >Create user attribute API</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="ce0fc0b19a3ccdbb9a6e431d8d3b8d59cc8581374cce23084e3f77475d7a9130.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="ce0fc0b19a3ccdbb9a6e431d8d3b8d59cc8581374cce23084e3f77475d7a9130.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#d580480b221735a54045f6b6d02a7d45a469c33f93d1a4be802c064b489eb412" title="View scenario details" >Delete user attribute API (happy path)</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="57fc71675fc7881d31cdcadbdb17c7cbdf53f6f149f7a33d8bc5968df11e0c22.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="57fc71675fc7881d31cdcadbdb17c7cbdf53f6f149f7a33d8bc5968df11e0c22.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#7a0552619b5897579c553eb95c6a7bf2a1dedd567225e66bc396eeaeae8ff8fe" title="View scenario details" >Delete user attribute API (authorize for principal only)</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="e1143238df2b73235c1dc58013bf5882d481be6f1c6b9e7cf39bb83ae884b3a0.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="e1143238df2b73235c1dc58013bf5882d481be6f1c6b9e7cf39bb83ae884b3a0.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#3778396d0e0e3c84cfd8b28a73aeb808d58adf275940254aa3f72f1fce130158" title="View scenario details" >Count user attribute API</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="a823830581157452a350e125a7eda7fdc393ceef2cf233c48001a97d72e9e065.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="a823830581157452a350e125a7eda7fdc393ceef2cf233c48001a97d72e9e065.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#17ca1a499dcacc51b72ffa6c3463fd1d71c25882f95516be19e891cb3d1077e6" title="View scenario details" >Find user attribute API</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="08cd0c1b7b88063feca784681493b26431d704edaaaafce5455178b17561ed5e.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="08cd0c1b7b88063feca784681493b26431d704edaaaafce5455178b17561ed5e.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#f18b2ff2f1299e3d8bb5555269deb088a920d9539cbda863633d9ab5c568f780" title="View scenario details" >Update user attribute API (happy path)</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="bf278bb551a0e5d4a0d92ae0ee32a19d1d6843d35cf695d066c21e0aff3eab77.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="bf278bb551a0e5d4a0d92ae0ee32a19d1d6843d35cf695d066c21e0aff3eab77.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#d8696fec9723e1d3ed389521110cd0e1dfb99f1bc294e7b9d62fbf99d82b12bc" title="View scenario details" >Update user attribute API (authorize for principal only)</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="335f412af52e2cb5575caaada20cbea43cdf29fbe13dfc70f2ddb9f4f98071e5.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="335f412af52e2cb5575caaada20cbea43cdf29fbe13dfc70f2ddb9f4f98071e5.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                </table>

                                            </div>

                                            <h3>Scenario details</h3>

                                                <div class="scenario-docs card" id="e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855">
                                                    <div class="scenario-docs card-header undefined" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="" title="View test results">Background</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <i class="fas fa-pause"
                                                                       title="No test has been implemented yet"></i>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p>Given that an admin was able to initialize the system under test</p>
                                                            <p><p>And that &quot;Jane&quot; is a Member with the account data</p>
<table>
<thead>
<tr><th>slug</th><th>janedoe</th></tr>
</thead>
<tbody>
<tr><td>email</td><td>jane@example.com</td></tr>
<tr><td>userName</td><td>JaneDoe</td></tr>
<tr><td>password</td><td>password3</td></tr>
</tbody>
</table>
</p>
                                                            <p>And she was able to start using the rest api</p>
                                                            <p>And she was able to login to the api with valid credentials</p>
                                                            <p><p>And that &quot;John&quot; is a Member with the account data</p>
<table>
<thead>
<tr><th>slug</th><th>johndoe</th></tr>
</thead>
<tbody>
<tr><td>email</td><td>john@example.com</td></tr>
<tr><td>userName</td><td>JohnDoe</td></tr>
<tr><td>password</td><td>password2</td></tr>
</tbody>
</table>
</p>
                                                            <p>And he was able to start using the rest api</p>
                                                            <p>And he was able to login to the api with valid credentials</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="a2f826d2ff4e4b576f3f3a17ced5d4bcaff69437a7d1bb087d014838871cfbc3">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="ce0fc0b19a3ccdbb9a6e431d8d3b8d59cc8581374cce23084e3f77475d7a9130.html" title="View test results">Create User Attribute API</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p>When &quot;John&quot; attempts to use the api to create an attribue called &quot;Home Page&quot; with the content</p>
                                                            <p>Then he should see that they received a 200 response</p>
                                                            <p>And the response validates against the &quot;user-attribute&quot; schema</p>
                                                            <p>And the response has a &quot;markdown&quot; field containing the text</p>
                                                            <p>And the response has an &quot;html&quot; field containing the text</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="d580480b221735a54045f6b6d02a7d45a469c33f93d1a4be802c064b489eb412">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="57fc71675fc7881d31cdcadbdb17c7cbdf53f6f149f7a33d8bc5968df11e0c22.html" title="View test results">Delete User Attribute API (happy path)</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p>Given &quot;John&quot; was able to use the api to create an attribue called &quot;foo&quot; with the content</p>
                                                            <p>And he was able to use the api to create an attribue called &quot;bar&quot; with the content</p>
                                                            <p>And &quot;Jane&quot; was able to use the api to create an attribue called &quot;bar&quot; with the content</p>
                                                            <p><p>When &quot;John&quot; attempts to delete the user attribute where</p>
<table>
<thead>
<tr><th>label</th><th>bar</th></tr>
</thead>
<tbody></tbody>
</table>
</p>
                                                            <p>Then he should see that they received a 200 response</p>
                                                            <p>And the response validates against the &quot;count&quot; schema</p>
                                                            <p>And the response has a &quot;count&quot; field equal to 1</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="7a0552619b5897579c553eb95c6a7bf2a1dedd567225e66bc396eeaeae8ff8fe">
                                                    <div class="scenario-docs card-header pending" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="e1143238df2b73235c1dc58013bf5882d481be6f1c6b9e7cf39bb83ae884b3a0.html" title="View test results">Delete User Attribute API (authorize for principal only)</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="3778396d0e0e3c84cfd8b28a73aeb808d58adf275940254aa3f72f1fce130158">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="a823830581157452a350e125a7eda7fdc393ceef2cf233c48001a97d72e9e065.html" title="View test results">Count User Attribute API</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p>Given &quot;John&quot; was able to use the api to create an attribue called &quot;foo&quot; with the content</p>
                                                            <p>And &quot;Jane&quot; was able to use the api to create an attribue called &quot;foo&quot; with the content</p>
                                                            <p><p>When she attempts to count the user attributes where</p>
<table>
<thead>
<tr><th>label</th><th>foo</th></tr>
</thead>
<tbody></tbody>
</table>
</p>
                                                            <p>Then she should see that they received a 200 response</p>
                                                            <p>And the response validates against the &quot;count&quot; schema</p>
                                                            <p>And the response has a &quot;count&quot; field equal to 2</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="17ca1a499dcacc51b72ffa6c3463fd1d71c25882f95516be19e891cb3d1077e6">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="08cd0c1b7b88063feca784681493b26431d704edaaaafce5455178b17561ed5e.html" title="View test results">Find User Attribute API</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p>Given &quot;John&quot; was able to use the api to create an attribue called &quot;foo&quot; with the content</p>
                                                            <p>And &quot;Jane&quot; was able to use the api to create an attribue called &quot;foo&quot; with the content</p>
                                                            <p><p>When &quot;Jane&quot; attempts to use the api to find the user attributes where</p>
<table>
<thead>
<tr><th>label</th><th>foo</th></tr>
</thead>
<tbody></tbody>
</table>
</p>
                                                            <p>Then she should see that they received a 200 response</p>
                                                            <p>And the response validates against the &quot;user-attribute-list&quot; schema</p>
                                                            <p>And the response is a collection with a length of 2</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="f18b2ff2f1299e3d8bb5555269deb088a920d9539cbda863633d9ab5c568f780">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="bf278bb551a0e5d4a0d92ae0ee32a19d1d6843d35cf695d066c21e0aff3eab77.html" title="View test results">Update User Attribute API (happy path)</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p>Given &quot;John&quot; was able to use the api to create an attribue called &quot;foo&quot; with the content</p>
                                                            <p><p>When he attempts to use the api to update the user attribute with</p>
<table>
<thead>
<tr><th>label</th><th>bar</th></tr>
</thead>
<tbody>
<tr><td>content</td><td>Bar</td></tr>
</tbody>
</table>
</p>
                                                            <p>Then he should see that they received a 204 response</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="d8696fec9723e1d3ed389521110cd0e1dfb99f1bc294e7b9d62fbf99d82b12bc">
                                                    <div class="scenario-docs card-header pending" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="335f412af52e2cb5575caaada20cbea43cdf29fbe13dfc70f2ddb9f4f98071e5.html" title="View test results">Update User Attribute API (authorize for principal only)</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div id="results" class="tab-pane fade">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-sm-4">

                                            <div style="width:300px;" class="chart-container automated-and-manual-results">
                                                <div class="ct-chart ct-square"></div>
                                            </div>
                                            <script>

                                                var labels = ['71%', ' ', '29%', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' '];
                                                // Our series array that contains series objects or in this case series data arrays

                                                var series = [{meta: 'Passing tests (automated)', value: 5}, {meta: 'Passing tests (manual)', value: 0}, {meta: 'Pending tests (automated)', value: 2}, {meta: 'Pending tests (manual)', value: 0}, {meta: 'Ignored tests (automated)', value: 0}, {meta: 'Ignored tests (manual)', value: 0}, {meta: 'Skipped tests (automated)', value: 0}, {meta: 'Skipped tests (manual)', value: 0}, {meta: 'Failing tests (automated)', value: 0}, {meta: 'Failing tests (manual)', value: 0}, {meta: 'Broken tests (automated)', value: 0}, {meta: 'Broken tests (manual)', value: 0}, {meta: 'Compromised tests (automated)', value: 0}, {meta: 'Compromised tests (manual)', value: 0}];

                                                // As options we currently only set a static size of 300x200 px. We can also omit this and use aspect ratio containers
                                                // as you saw in the previous example
                                                var options = {
                                                    width: 350,
                                                    height: 300
                                                };

                                                $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                                                    new Chartist.Pie('.ct-chart', {
                                                        series: series,
                                                        labels: labels,
                                                    }, {
                                                        donut: true,
                                                        donutWidth: 60,
                                                        donutSolid: true,
                                                        startAngle: 270,
                                                        showLabel: true
                                                    }, options);
                                                });

                                            </script>
                                        </div>
                                        <div class="col-sm-8">

                                        <table class="table">
                                            <thead>
                                            <tr>
                                                <th scope="col">Scenario Results (including rows of test data)</th>
                                                <th scope="col" colspan="2" class="automated-stats">
                                                    Automated
                                                </th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                                    <td class="aggregate-result-count">
                                                                        <a href="1a9787daed41ee8dc0e2f56fdd2344f6f825dcaf1db3dd9b67cb7d3afb8be226.html"><i
                                                                                class='fa fa-check-circle-o success-icon'></i>&nbsp;Passing</a>
                                                                    </td>
                                                <td class="automated-stats">5</td>
                                                <td class="automated-stats">71%</td>
                                            </tr>
                                            <tr>
                                                                    <td class="aggregate-result-count">
                                                                        <a href="985eff4022b5a7473a1cd19692f547e3e3c803e0429f976cb0135603ae00837d.html"><i
                                                                                class='fa fa-stop-circle-o pending-icon'></i>&nbsp;Pending</a>
                                                                    </td>
                                                <td class="automated-stats">2</td>
                                                <td class="automated-stats">29%</td>
                                            </tr>
                                            <tr>
                                                                <td class="aggregate-result-count"><i
                                                                        class='fa fa-ban ignored-icon'></i>&nbsp;Ignored
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                <td class="aggregate-result-count"><i
                                                                        class='fa fa-fast-forward skip-icon'></i>&nbsp;Skipped
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                            <td colspan="3"><i
                                                                                class='fa fa-times failure-icon'></i>&nbsp;<em>Unsuccessful</em></a>
                                                                            </td>

                                            </tr>

                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-times-circle failure-icon'></i>&nbsp;Failed
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-exclamation-triangle error-icon'></i>&nbsp;Broken
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-chain-broken compromised-icon'></i>&nbsp;Compromised
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr class="summary-stats">
                                                <td class="aggregate-result-count">Total</td>
                                                <td class="automated-stats">7</td>
                                                <td class="automated-stats"></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <table class="table">
                                                    <thead>
                                                    <tr>
                                                        <th>Execution Time</th>
                                                        <th>Clock Time</th>
                                                        <th>Fastest Test</th>
                                                        <th>Slowest Test</th>
                                                        <th>Average Execution Time</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr>
                                                        <td>5s</td>
                                                        <td>5s</td>
                                                        <td>2ms</td>
                                                        <td>1s</td>
                                                        <td>720ms</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>


                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-cogs"></i> Automated Tests</h3>

                                            <table class="scenario-result-table table" id="scenario-results">
                                                <thead>
                                                <tr>
                                                    <th class="test-name-column">Scenario</th>
                                                    <th>Steps</th>
                                                    <th>Start Time</th>
                                                    <th>Duration</th>
                                                    <th>Result</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="ce0fc0b19a3ccdbb9a6e431d8d3b8d59cc8581374cce23084e3f77475d7a9130.html">Create User Attribute API</a>
                                                    </td>
                                                    <td>5</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="57fc71675fc7881d31cdcadbdb17c7cbdf53f6f149f7a33d8bc5968df11e0c22.html">Delete User Attribute API (happy path)</a>
                                                    </td>
                                                    <td>7</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result PENDING">
                                                    <td>
                                                            <a href="e1143238df2b73235c1dc58013bf5882d481be6f1c6b9e7cf39bb83ae884b3a0.html">Delete User Attribute API (authorize for principal only)</a>
                                                    </td>
                                                    <td>0</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a> <span
                                                                style="display:none">PENDING</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="a823830581157452a350e125a7eda7fdc393ceef2cf233c48001a97d72e9e065.html">Count User Attribute API</a>
                                                    </td>
                                                    <td>6</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="08cd0c1b7b88063feca784681493b26431d704edaaaafce5455178b17561ed5e.html">Find User Attribute API</a>
                                                    </td>
                                                    <td>6</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="bf278bb551a0e5d4a0d92ae0ee32a19d1d6843d35cf695d066c21e0aff3eab77.html">Update User Attribute API (happy path)</a>
                                                    </td>
                                                    <td>3</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result PENDING">
                                                    <td>
                                                            <a href="335f412af52e2cb5575caaada20cbea43cdf29fbe13dfc70f2ddb9f4f98071e5.html">Update User Attribute API (authorize for principal only)</a>
                                                    </td>
                                                    <td>0</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a> <span
                                                                style="display:none">PENDING</span>
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>

                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-edit"></i> Manual Tests</h3>

                                                No manual tests were recorded

                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-12">
                        <span class="version">Serenity BDD version 2.1.13</span>
                    </div>
                </div>
            </div>
</body>
</html>
